DECODE_RS16(9)

NAME
decode_rs16 - Decode codeword (16bit data width)

SYNOPSIS

int decode_rs16 (struct rs_control * rs, uint16_t * data, uint16_t * par, int len, uint16_t * s, int no_eras, int * eras_pos, uint16_t invmsk, uint16_t * corr);

ARGUMENTS

rs  the rs control structure

data
    data field of a given type

par received parity data field

len data length

s   syndrome data field (if NULL, syndrome is calculated)

no_eras
    number of erasures

eras_pos
    position of erasures, can be NULL

invmsk
    invert data mask (will be xored on data, not on parity!)

corr
    buffer to store correction bitmask on eras_pos

DESCRIPTION

Each field in the data array contains up to symbol size bits of valid data.

DESCRIPTION

Each field in the data array contains up to symbol size bits of valid data.

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.